(function($){

	$.fn.sparks = function(userDefinedSettings){
		
		var settings = $.extend({
			
			/*  DEFAULTS  */
			sparks:	{
				
				
				img_1: 	
				{
					number:	1,
					speed:	5,
					img:	'man.png'
				},
				
				img_2:	{
					number:	1,
					speed:	5,
					img:	'woman.png'
				},
				img_3:	{
					number:	1,
					speed:	2,
					img:	'dance.png'
				},
				img_4:	{
					number:	1,
					speed:	3,
					img:	'food.png'
				},
				img_5:	{
					number:	1,
					speed:	5,
					img:	'twitterr.png'
				},
				img_6:	{
					number:	1,
					speed:	3,
					img:	'wow.png'
				},
				
				
				
			
			}
			
		}, userDefinedSettings);
		
		
		for (var spark in settings.sparks){
			for (var i=0; i<settings.sparks[spark].number; i++){
				var pageWidth = parseInt($(document).width());
				var pageHeight = parseInt($(document).height());
				
				var posLeft = Math.floor(Math.random() * (pageWidth - 100));
				var posTop = Math.floor(Math.random() * (pageHeight - 100));
				
				var time = 20000 / settings.sparks[spark].speed;
				
				$('<div/>')
					.attr('id',spark + '_' + (i + 1))
					.addClass(spark)
					.append('<img src="' + settings.sparks[spark].img + '" />')
					.css('position','absolute')
					.css('left',posLeft)
					.css('top',posTop)
					.appendTo('body');
				
				$(document).sparks.animateSparks(time, spark + '_' + (i + 1));
			}
		}
		
		
		
		return this;
	};
	
	
	
	$.fn.sparks.animateSparks = function (time, id){
		var pageWidth = parseInt($(document).width());
		var pageHeight = parseInt($(document).height());
		
		var posLeft = Math.floor(Math.random() * (pageWidth - 100));
		var posTop = Math.floor(Math.random() * (pageHeight - 100));
		
		$('#' + id).animate({
			left: posLeft,
			top: posTop
		},time,function(){
			$(document).sparks.animateSparks(time, id);
		});
	};
	
})(jQuery);



$(document).sparks();